Hello, I never received any reply from the previous maintainer so I asked for the package to be orphaned, and I adopted it today.
There is now a new version that includes the patch I mentioned on 2024-03-12.
![]() |
VOOZH | about |
| Git Clone URL: | https://aur.archlinux.org/screen-git.git (read-only, click to copy) |
|---|---|
| Package Base: | screen-git |
| Description: | Full-screen window manager that multiplexes a physical terminal |
| Upstream URL: | https://www.gnu.org/software/screen/ |
| Licenses: | GPL |
| Conflicts: | screen |
| Provides: | screen |
| Submitter: | alyptik |
| Maintainer: | Reylak |
| Last Packager: | Reylak |
| Votes: | 1 |
| Popularity: | 0.000000 |
| First Submitted: | 2017-04-03 21:24 (UTC) |
| Last Updated: | 2024-09-17 11:55 (UTC) |
Hello, I never received any reply from the previous maintainer so I asked for the package to be orphaned, and I adopted it today.
There is now a new version that includes the patch I mentioned on 2024-03-12.
@Reylak hope you get a reply soon.
I contacted the maintainer by e-mail regarding maintaining the package, or maybe disowning it. Let's see if we have a reply :)
Hello, based on the PKGBUILD of the officially maintained package in "extra" and previous comments, I got this patch that makes screen compile, work and with truecolor support (provided you add truecolor on to your .screenrc). There are also a few improvements to the PKGBUILD; in particular, it fixes the package name to "screen-git".
From b6c7d9ee005fa6ab171eb0ad1a7fd3f7d82418e9 Mon Sep 17 00:00:00 2001
From: Mathieu Bacou <mathieu@bacou.me>
Date: Tue, 12 Mar 2024 18:52:14 +0100
Subject: [PATCH] Upgrade and fix PKGBUILD.
Implement suggestions from the AUR, and upgrade the file its counterpart
for the extra repository.
* remove prefix ".v" from version string
* add a few Arm architectures
* fix git URL to HTTPS
* fix preparation
* add git as makedepends
---
PKGBUILD | 83 ++++++++++++++++++++++++++++++++------------------------
1 file changed, 47 insertions(+), 36 deletions(-)
diff --git a/PKGBUILD b/PKGBUILD
index e021e1d..2006f7c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,65 +1,76 @@
-# $Id$
# Maintainer: Joey Pabalinas <alyptik@protonmail.com>
+# Contributor: Mathieu Bacou <mathieu@bacou.me>
# Contributor: Allan McRae <allan@archlinux.org>
# Committer: dorphell <dorphell@gmx.net>
pkgname=screen-git
-_pkgname=screen
-pkgver=v.4.2.1.580.gfbee2ab
-pkgrel=1
-pkgdesc='Full-screen window manager that multiplexes a physical terminal with true-color support'
+# screen will report its version as 4.99.0.
+pkgver=4.9.1.r1286.cd4d02f
+pkgrel=2
+pkgdesc='Full-screen window manager that multiplexes a physical terminal'
url='https://www.gnu.org/software/screen/'
-arch=('i686' 'x86_64')
+arch=('x86_64' 'aarch64' 'armv7l' 'armv7h' 'armv6h' 'armv5')
license=('GPL')
depends=('ncurses' 'pam')
-validpgpkeys=('2EE59A5D0C50167B5535BBF1B708A383C53EF3A4'
- '71AA09D9E8870FDB0AA7B61E21F968DEF747ABD7')
-source=("${_pkgname}::git+http://git.savannah.gnu.org/git/screen.git"
+source=("${pkgname}::git+https://git.savannah.gnu.org/git/screen.git"
'tmpfiles.d'
'pam.d')
-
sha256sums=('SKIP'
'1f33ce4faca7bd05dd80403411af31e682d5d23e79558e884ae5a35f1dd96223'
'971c25929ea97422c09e10679ab98e9e6c59295aae1a4a9970909d2206e23090')
-provides=("${_pkgname}")
-conflicts=("${_pkgname}")
-
+makedepends=('git')
backup=('etc/screenrc' 'etc/pam.d/screen')
options=('!makeflags')
+conflicts=('screen')
+provides=('screen')
_ptygroup=5 #the UID of our PTY/TTY group
pkgver() {
- cd "${srcdir}/${_pkgname}"
- git describe --tags |sed 's/-/./g'
+ cd "${srcdir}/${pkgname}" || exit 2
+
+ set -o pipefail
+ # Tag without the `.v` prefix
+ tag=$(git tag --list --sort -v:refname | head -n1 | sed 's/^v.//')
+ rev=$(git rev-list --count HEAD)
+ hash=$(git rev-parse --short HEAD)
+ printf "%s.r%s.%s" "$tag" "$rev" "$hash"
+}
+
+prepare() {
+ cd "${srcdir}/${pkgname}/src" || exit 2
+
+ NOCONFIGURE=1 ./autogen.sh
}
build() {
- cd "${srcdir}/${_pkgname}/src"
- ./autogen.sh
- ./configure \
- --prefix=/usr \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --enable-pam \
- --enable-utmp \
- --enable-telnet \
- --enable-socket-dir \
- --with-system_screenrc="/etc/screenrc" \
- --with-pty-mode="0622" \
- --with-pty-group="$_ptygroup" \
- --with-pty-rofs="yes"
+ cd "${srcdir}/${pkgname}/src" || exit 2
+
+ ./configure \
+ --prefix=/usr \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --enable-colors256 \
+ --enable-pam \
+ --enable-rxvt_osc \
+ --enable-telnet \
+ --with-pty-group=$_ptygroup \
+ --with-socket-dir=/run/screens \
+ --with-sys-screenrc=/etc/screenrc
- make
+ make
}
package() {
- cd "${srcdir}/${_pkgname}/src"
- make DESTDIR="${pkgdir}" install
+ cd "${srcdir}/${pkgname}/src" || exit 2
+
+ make DESTDIR="${pkgdir}" install
+
+ install -Dm644 etc/etcscreenrc "${pkgdir}"/etc/screenrc
+ install -Dm644 etc/screenrc "${pkgdir}"/etc/skel/.screenrc
- install -Dm644 "${srcdir}/pam.d" "${pkgdir}"/etc/pam.d/screen
- install -Dm644 "${srcdir}/tmpfiles.d" "${pkgdir}"/usr/lib/tmpfiles.d/screen.conf
+ cd "${srcdir}"
- install -Dm644 etc/etcscreenrc "${pkgdir}"/etc/screenrc
- install -Dm644 etc/screenrc "${pkgdir}"/etc/skel/.screenrc
+ install -Dm644 pam.d "${pkgdir}"/etc/pam.d/screen
+ install -Dm644 tmpfiles.d "${pkgdir}"/usr/lib/tmpfiles.d/screen.conf
}
--
2.44.0
Doing the changes from the comments I managed built this. But getting permission errors on the /dev/pts/x when started. And I still couldn't get even this version to support the true-colors in the terminal..
Anyway this is the patch:
From 4388e1141e9cbd240b2d75eab2c7e0ec06e5316d Mon Sep 17 00:00:00 2001
From: Premik
Date: Mon, 13 Mar 2023 13:56:56 +0100
Subject: [PATCH] Fixes per suggestions in the AUR comments - Removed '.v'
prefix from the version string. - Added some `arm` archs. - Changed the git
url to `https` - Added `autoreeconf -i`
---
.SRCINFO | 5 ++---
.gitignore | 4 ++++
PKGBUILD | 13 +++++++++----
3 files changed, 15 insertions(+), 7 deletions(-)
diff --git a/.SRCINFO b/.SRCINFO
index c9672b9..c0cf0a3 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = screen-git
pkgdesc = Full-screen window manager that multiplexes a physical terminal with true-color support
- pkgver = v.4.2.1.580.gfbee2ab
+ pkgver = 4.9.0.r1280.6df4a48
pkgrel = 1
url = https://www.gnu.org/software/screen/
arch = i686
@@ -13,7 +13,7 @@ pkgbase = screen-git
options = !makeflags
backup = etc/screenrc
backup = etc/pam.d/screen
- source = screen::git+http://git.savannah.gnu.org/git/screen.git
+ source = screen::git+https://git.savannah.gnu.org/git/screen.git
source = tmpfiles.d
source = pam.d
validpgpkeys = 2EE59A5D0C50167B5535BBF1B708A383C53EF3A4
@@ -23,4 +23,3 @@ pkgbase = screen-git
sha256sums = 971c25929ea97422c09e10679ab98e9e6c59295aae1a4a9970909d2206e23090
pkgname = screen-git
-
diff --git a/.gitignore b/.gitignore
index 3819313..aabb9d4 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,2 +1,6 @@
*.swp
*.swo
+*.pkg.tar.*
+pkg
+screen
+src
\ No newline at end of file
diff --git a/PKGBUILD b/PKGBUILD
index e021e1d..8efd3ef 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,16 +5,16 @@
pkgname=screen-git
_pkgname=screen
-pkgver=v.4.2.1.580.gfbee2ab
+pkgver=4.9.0.r1280.6df4a48
pkgrel=1
pkgdesc='Full-screen window manager that multiplexes a physical terminal with true-color support'
url='https://www.gnu.org/software/screen/'
-arch=('i686' 'x86_64')
+arch=('i686' 'x86_64' 'armv7l' 'armv7h' 'armv6h' 'armv5')
license=('GPL')
depends=('ncurses' 'pam')
validpgpkeys=('2EE59A5D0C50167B5535BBF1B708A383C53EF3A4'
'71AA09D9E8870FDB0AA7B61E21F968DEF747ABD7')
-source=("${_pkgname}::git+http://git.savannah.gnu.org/git/screen.git"
+source=("${_pkgname}::git+https://git.savannah.gnu.org/git/screen.git"
'tmpfiles.d'
'pam.d')
@@ -31,11 +31,16 @@ _ptygroup=5 #the UID of our PTY/TTY group
pkgver() {
cd "${srcdir}/${_pkgname}"
- git describe --tags |sed 's/-/./g'
+ # Tag without the `.v` prefix
+ tag=$(git tag -l --sort -v:refname | head -n1| sed 's/^v.//;s/-/-/g')
+ rev=$(git rev-list --count HEAD)
+ hash=$(git rev-parse --short HEAD)
+ printf "%s.r%s.%s" "$tag" "$rev" "$hash"
}
build() {
cd "${srcdir}/${_pkgname}/src"
+ autoreconf -i
./autogen.sh
./configure \
--prefix=/usr \
--
2.39.2
I managed to build this on aarch64 (Archlinux ARM) by editing PKGBUILD. One needs to add: autoreconf -i before ./autogen.sh in build() section.
Please remove v. prefix from pkgver, thanks.
Fails to build on my machine. Build log: https://pastebin.com/raw/LCq2F3m1
Aside from that, armv7l could be added to arch. I successfully built screen on a Raspberry Pi 2 by simply running cd src && ./configure && make (skipping autogen.sh).
NB: there is a problem with versioning for this package right now upstream, you can follow up at https://savannah.gnu.org/bugs/?58539